Link a physical device
Link a physical device to a device registered in Flow.
post/device/{deviceCode}/link
Path parameters
deviceCodestringRequired
Device code from backoffice
Body
appIdstringRequired
This is a predefined app id that Flow will provide
userCodestringRequired
A user code from the tenant
passwordstringRequired
The password for the user
systemInformationstringOptional
Contains device name, OS, release version of OS, OS build date, like a uname -a response on linux servers
Responses
200
Example response
application/json
expiresintegerRequired
The expiry time represented as a unix timestamp.
tokenstringRequired
A JWT device token
refreshTokenstringRequired
Refresh token to be used to renew the token
400
Linking failed. Ther error message will have information about what failed.
application/json
404
Not found
post/device/{deviceCode}/link
POST /v2/device/{deviceCode}/link HTTP/1.1
Host: api.flowretail.com
Content-Type: application/json
Accept: */*
Content-Length: 79
{
"appId": "text",
"userCode": "text",
"password": "text",
"systemInformation": "text"
}{
"expires": 1,
"token": "text",
"refreshToken": "text"
}Last updated
Was this helpful?

